init python:
    config.automatic_images = [ '/' ]
    config.automatic_images_strip = [ 'images' ]
    config.automatic_images_minimum_components = 1
    import random
init:
    define flash = Fade(.25, 0.0, .75, color="#fff")
    default persistent.mytext_size = gui.text_size
    $persistent.ph_advstart_ept = 24 #DLD ADV Start Max Episode needs changed every episode #GIMP
    $persistent.ph_advstart_ep = 1 # New addition to fix the issue with starting a new game that was reported in EP23
    default persistent.ph_advstart_ep = 1 # New addition to fix the issue with starting a new game that was reported in EP23 (part 2)
    default ph_advstart_ept = persistent.ph_advstart_ept
    default persistent.ph_advstart_a = 1
    default persistent.ph_advstart_b = 1      #1 is serious, 2 is casual, 3 is neutral, 4 is rejected
    default persistent.ph_advstart_c = 1
    default persistent.ph_advstart_d = 1
    default persistent.ph_advstart_e = 1
    default persistent.ph_advstart_j = 1
    default persistent.ph_advstart_k = 1
    default persistent.ph_advstart_l = 1
    default persistent.ph_advstart_m = 1
    default persistent.ph_advstart_w = 1
    default persistent.ph_advstart_z = 1
    default persistent.ph_advstart_y = 1
    default cbad = ""
    default cgood = ""
    default cgray = ""
    default cend = ""
    default persistent.cbad = "{outlinecolor=#000000}{color=#FF0000}"
    default persistent.cgood = "{outlinecolor=#000000}{color=#00FF00}"
    default persistent.cgray = "{outlinecolor=#000000}{color=#949494}"
    default persistent.cend = "{outlinecolor=#FF0000}{color=#000000}"
    default persistent.walkthroughon = 1

#MurrayMods
define ModGreen = "{color=#00ff00}"
define ModRed = "{color=#ff0000}"
define ModBlue = "{color=#0000ff}"
define ModBlack = "{color=#880000}"
define BOn = "{b}"
define BOff = "{/b}"
init:
    $MM = Character("MurrayMods", color="#44aa00")
    $Mor = Character("Morpheus", color="#F48FB1")

define config.developer = True

#define config.developer = False

label after_load:
    if _version != config.version:
        $ _version = config.version

    $MC = player_name

    if persistent.walkthroughon == 1:
        $cbad = persistent.cbad
        $cgood = persistent.cgood
        $cgray = persistent.cgray
        $cend = persistent.cend
    else:
        $cbad = ""
        $cgood = ""
        $cgray = ""
        $cend = ""

    if ZDate > 0 and EpisodeOn == 1:
        $EpisodeOn = 11
    if not persistent.ph_changvart2:
        $persistent.ph_changvart2 = True
        $persistent.ph_backgroundm = 0
        $persistent.ph_backgroundmt = "None"
    if not persistent.ph_changvart:
        $persistent.ph_changvart = True
        $persistent.ph_backgroundt = 0
        $persistent.ph_backgroundc = 0
        $persistent.ph_backgroundtt = "None"
        $persistent.ph_backgroundct = "Not Shown"
    $persistent.ph_backgroundc = 0
    $narrator = Character(None, what_italic=True)
    $A = Character('Angel', color="#c8ffc8", image="aface")
    $B = Character('Bella', color="#a22a10", image="bface")
    $C = Character('Jolina', color="#927e74", image="cface")
    $CH = Character('Chad', color="#fda948", image="chface")
    $D = Character('Debbie', color="#b5287f", image="dface")
    $E = Character('Elaine', color="#c8ffc8", image="eface")
    $F = Character('Francois', color="#939941", image="fface")
    $FV = Character('Dad\'s voice',color="#9f8fcc")
    $FI = Character('Fiona', color="#e12421", image="fiface")
    $G = Character('Greg', color="#939941", image="gface")
    $I = Character("[player_name]", color="#ffffff")
    $J = Character('Jenna', color="#fda948", image="jface")
    $K = Character('Katie',color="#9f8fcc", image="kface")
    $KE = Character('Keith',color="#9f8fcc", image="keface")
    $L = Character('Lily', color="#588ebd", image="lface")
    $LIB = Character('Librarian', color="#a22a10")
    $M = Character('Monica', color="#e12421", image="mface")
    $MB = Character('Blonde', color="#c8ffc8", image="mbface")
    $ML = Character('Molly', color="#e12421", image="mlface")
    $N = Character('Natasha', color="#a22a10", image="nface")
    $NK = Character('Nikki', color="#e12421", image="nkface")
    $R = Character('Roger', color="#fda948", image="rface")
    $SB = Character('Sal', color="#588ebd", image="sbface")
    $S = Character('Sammy', color="#588ebd", image="sface")
    $T = Character('Tommy', color="#588ebd", image="tface")
    $W = Character('Wanda', color="#b5287f", image="wface")
    $X = Character ('????', color="#c8ffc8")
    $Y = Character('Theresa', color="#c8ffc8", image="yface")
    $Z = Character('Zarah', color="#939941", image="zface")

    if EpisodeOn >= 11:
        image side zface = "gui/faces/zb.png"

    if EpisodeOn >= 21:
        $Z = Character('Zarah', color="#939941", image="zface3")
        $M = Character('Monica', color="#e12421", image="mface2")

    if EpisodeOn >= 18:
        $MB = Character('Mabel', color="#c8ffc8", image="mbface")
        image side mbface = "gui/faces/mb2.png"
        image side zface = "gui/faces/zc.png"
    python:
        style.rebuild()
    return


###############################################Start of game##################################################
label splashscreen:
    scene black
    show CheekyLogoVid
    pause 4.3
    scene black with fade
    hide CheekyLogoVid
    show text "{size=80}Cheeky Gimp presents...{/size}" with dissolve
    with Pause(2.4)
    hide text with dissolve
    show WTHIVid
    pause 5
    scene black with fade
    hide WTHIVid

    return

label start:
    $EpisodeOn = 1
    if not persistent.ph_changvart2:
        $persistent.ph_changvart2 = True
        $persistent.ph_backgroundm = 0
        $persistent.ph_backgroundmt = "None"
    if not persistent.ph_changvart:
        $persistent.ph_changvart = True
        $persistent.ph_backgroundt = 0
        $persistent.ph_backgroundc = 0
        $persistent.ph_backgroundtt = "None"
        $persistent.ph_backgroundct = "Not Shown"
    python:
        style.rebuild()

### BEGIN START ANY EPISODE CODE  #Quickstart menu
label startanyepisodegal:
    $MC = player_name

    $ renpy.block_rollback()
    if persistent.walkthroughon == 1:
        $cbad = persistent.cbad
        $cgood = persistent.cgood
        $cgray = persistent.cgray
        $cend = persistent.cend
    else:
        $cbad = ""
        $cgood = ""
        $cgray = ""
        $cend = ""
    if persistent.ph_advstart_ep >= 2:
        $MonicaSTM = 15
        $MonicaLSTM = 6
        $KatieSTM = 10
        $KatieLSTM = 4
        $JennaSTM = 16
        $JennaLSTM = 2
    if persistent.ph_advstart_ep >= 3:
        $tempd = 1
        $MonicaSTM=19
        $MonicaLSTM=16
        $KatieSTM=15
        $KatieLSTM=7
        $JennaSTM=20
        $JennaLSTM=4
        $ZarahSTM=4
        $ZarahLSTM=19
    if persistent.ph_advstart_ep >= 4:
        $dgothard = 2
        if persistent.ph_advstart_m <= 1 or persistent.ph_advstart_z <= 2:
            $dgothard = 1
        if persistent.ph_advstart_k <= 2:
            $KSpank = 4
        $MonicaSTM=23
        $MonicaLSTM= 28
        $KatieSTM= 21
        $KatieLSTM= 14
        $JennaSTM= 25
        $JennaLSTM= 10
        $ZarahSTM= 4
        $ZarahLSTM= 21
        $JolinaSTM= 1
        $JolinaLSTM= 10
        $DebbieSTM= 1
        $LilySTM= 1
    if persistent.ph_advstart_ep >= 5:
        $JolinaSTM= 1
        $JolinaLSTM= 10
        $MonicaSTM=23
        $MonicaLSTM= 37
        $KatieSTM=24
        $KatieLSTM= 22
        $JennaSTM= 30
        $JennaLSTM= 16
        $ZarahSTM= 11
        $ZarahLSTM= 26
        $DebbieSTM= 6
        $DebbieLSTM= 8
        $LilySTM= 3
        $LilyLSTM= 2
    if persistent.ph_advstart_ep >= 6:
        if persistent.ph_advstart_m <= 1:
            $MDrink = 7
            $MD3Kiss = 4
        if persistent.ph_advstart_w <= 1:
            $WD3_Aud = 6
        if persistent.ph_advstart_k <= 2:
            $KTemp  = 6
        $JolinaSTM= 1
        $JolinaLSTM= 10
        $JennaSTM= 30
        $JennaLSTM= 16
        $ZarahSTM= 11
        $ZarahLSTM= 26
        $DebbieSTM= 6
        $DebbieLSTM= 8
        $LilySTM= 3
        $LilyLSTM= 2
        $MonicaSTM= 46
        $MonicaLSTM= 65
        $KatieSTM= 32
        $KatieLSTM= 31
        $AngelSTM= 11
        $AngelLSTM= 11
        $WandaSTM= 17
    if persistent.ph_advstart_ep >= 7:
        $ZTemp = 2
        $JPassword = 2
        if persistent.ph_advstart_a <= 1:
            $Angel_Date = 4
        $M6Date = 3
        if persistent.ph_advstart_m == 2 or persistent.ph_advstart_m == 3:
            $M6Date = 2
        if persistent.ph_advstart_z <= 2:
            $ZTemp2 = 5
        if persistent.ph_advstart_w <= 1:
            $WD3_Cum = 2
        $JolinaSTM= 1
        $JolinaLSTM= 10
        $DebbieSTM= 6
        $DebbieLSTM= 8
        $LilySTM= 3
        $LilyLSTM= 2
        $MonicaSTM= 60
        $MonicaLSTM= 76
        $KatieSTM= 39
        $KatieLSTM= 42
        $JennaSTM= 45
        $JennaLSTM= 32
        $ZarahSTM= 20
        $ZarahLSTM= 42
        $AngelSTM= 15
        $AngelLSTM= 14
        $WandaSTM= 22
    if persistent.ph_advstart_ep >= 8:
        $ZTemp2 = 2
        $KTemp = 3
        if persistent.ph_advstart_d <= 1:
            $DDate = 1
            $DebbieCum = 1
        if persistent.ph_advstart_d == 4:
            $DDate = -1
            $DebbieCum = 1
        if persistent.ph_advstart_m <= 1:
            $MDate = 1
        if persistent.ph_advstart_k <= 2:
            $KDate = 1
        if persistent.ph_advstart_j <= 2:
            $JTemp = 2
        $JolinaSTM= 1
        $JolinaLSTM= 10
        $ZarahSTM= 20
        $ZarahLSTM= 42
        $AngelSTM= 15
        $AngelLSTM= 14
        $WandaSTM= 22
        $MonicaSTM= 69
        $MonicaLSTM= 83
        $KatieSTM= 59
        $KatieLSTM= 60
        $JennaSTM= 48
        $JennaLSTM= 34
        $DebbieSTM=18
        $DebbieLSTM= 23
        $LilySTM= 7
        $LilyLSTM= 2
        $BellaSTM= 4

    if persistent.ph_advstart_ep >= 9:
        $JTemp = 2
        $SammySTM= 10
        $ renpy.block_rollback()
        scene E9 E8_choice_Party
        menu:
            "(Hit Roger /Didn't fuck her)":
                $KParty = 1
            "(Didn't fuck her / No revenge)":
                $KParty = 5
            "(Revenge fuck / No Anal)":
                $KParty = 6
            "(Revenge fuck / Anal)":
                $KParty = 7
        if KParty >=6:
            $ renpy.block_rollback()
            scene E9 E8_choice_Roger
            menu:
                "Yes":
                    $Sammy= 11
                    $SammySTM= 11
                "No":
                    $Sammy= 10
            scene black

        if persistent.ph_advstart_d == 2:
            $DDate = -1
            $DebbieCum = 1
        if persistent.ph_advstart_d == 3:
            $DDate = -1
        if persistent.ph_advstart_k <= 2:
            $KDate = 2
        $JolinaSTM= 1
        $JolinaLSTM= 10
        $ZarahSTM= 20
        $ZarahLSTM= 42
        $AngelSTM= 15
        $AngelLSTM= 14
        $WandaSTM= 22
        $MonicaSTM= 69
        $MonicaLSTM= 83
        $JennaSTM= 48
        $JennaLSTM= 34
        $BellaSTM= 4
        $KatieSTM= 88
        $KatieLSTM= 85
        $DebbieSTM= 33
        $DebbieLSTM= 29
        $LilySTM= 25
        $LilyLSTM= 13
        $NatashaSTM = 19

    if persistent.ph_advstart_ep >= 10:
        if persistent.ph_advstart_m <= 1:
            $MDate = 3
        if persistent.ph_advstart_j <= 2:
            $JDate = 1
            $JTemp1 = 1
        if persistent.ph_advstart_b <= 2:  #1 is serious, 2 is casual, 3 is neutral, 4 is rejected
            $BDate = 2
        else:
            $BDate = 1
        $JolinaSTM= 1
        $JolinaLSTM= 10
        $ZarahSTM= 20
        $ZarahLSTM= 42
        $AngelSTM= 15
        $AngelLSTM= 14
        $WandaSTM= 22
        $DebbieSTM= 33
        $DebbieLSTM= 29
        $LilySTM= 25
        $LilyLSTM= 13
        $MonicaSTM= 81
        $MonicaLSTM= 104
        $KatieSTM= 103
        $KatieLSTM= 101
        $JennaSTM= 77
        $JennaLSTM= 61
        $BellaSTM= 21
        $BellaLSTM= 31
    if persistent.ph_advstart_ep >= 11:
        $Temp1 = 1
        if persistent.ph_advstart_m <= 1:
            $MDrink = 10
        if persistent.ph_advstart_j <= 2:
            $JDate = 2
        if persistent.ph_advstart_a <= 1:
            $Angel_Date = 7
        if persistent.ph_advstart_c <= 2: #1 is romance/love, 2 is casual, 3 is neutral, 4 is broke up
            $CDate = 1
        if persistent.ph_advstart_l <= 2:
            $LDate = 3
        $ZarahSTM= 20
        $ZarahLSTM= 42
        $WandaSTM= 22
        $DebbieSTM= 33
        $DebbieLSTM= 29
        $BellaSTM= 21
        $BellaLSTM= 31
        $MonicaSTM= 115
        $MonicaLSTM= 124
        $JennaSTM= 100
        $JennaLSTM= 83
        $KatieSTM=113
        $KatieLSTM= 106
        $AngelSTM= 45
        $AngelLSTM= 39
        $JolinaSTM= 21
        $JolinaLSTM= 21
        $LilySTM= 60
        $LilyLSTM= 42
    if persistent.ph_advstart_ep >= 12:
        if persistent.ph_advstart_m <= 1:
            $MShoot = 1
            $MDate = 4
        if persistent.ph_advstart_a <= 1:
            $Angel_Date = 8
            $AWModel = 2
        $ZDate = 1
        if persistent.ph_advstart_z <= 2:
            $ZDate = 3
        if persistent.ph_advstart_j <= 2:
            $JTemp = 3
        if persistent.ph_advstart_w <= 2:  #Friendly or sexual relationship
            $AWModel += 1
            
        $WandaSTM= 22
        $DebbieSTM= 33
        $DebbieLSTM= 29
        $BellaSTM= 21
        $BellaLSTM= 31
        $JolinaSTM= 21
        $JolinaLSTM= 21
        $LilySTM= 60
        $LilyLSTM= 42
        $MonicaSTM= 163
        $MonicaLSTM= 148
        $JennaSTM= 121
        $JennaLSTM= 110
        $KatieSTM= 145
        $KatieLSTM= 125
        $AngelSTM= 64
        $AngelLSTM= 52
        $ZarahSTM= 52
        $ZarahLSTM= 70
    if persistent.ph_advstart_ep >= 13:
        if persistent.ph_advstart_b <= 1:   #1 is serious, 2 is casual, 3 is neutral, 4 is rejected / broke up
            $BDate = 3
        if persistent.ph_advstart_c <= 2: #1 is romance/love, 2 is casual, 3 is neutral, 4 is broke up
            $CDate = 2
        if persistent.ph_advstart_e <= 1:
            $ETemp = 9
            $EDate = 2
        if persistent.ph_advstart_e == 2:
            $EDate = 1
        if persistent.ph_advstart_e == 3:
            $EDate = -3
        if persistent.ph_advstart_e == 4:
            $EDate = -1
        if persistent.ph_advstart_l <= 2:
            $LDate = 4
        $WandaSTM= 22
        $MonicaSTM= 163
        $MonicaLSTM= 148
        $AngelSTM= 64
        $AngelLSTM= 52
        $ZarahSTM= 52
        $ZarahLSTM= 70
        $JennaSTM= 137
        $JennaLSTM= 120
        $KatieSTM= 159
        $KatieLSTM= 149
        $JolinaSTM= 37
        $JolinaLSTM= 35
        $DebbieSTM= 59
        $DebbieLSTM= 64
        $LilySTM= 72
        $LilyLSTM= 63
        $ElaineSTM= 61
        $ElaineLSTM= 37
        $BellaSTM= 53
        $BellaLSTM= 56
    if persistent.ph_advstart_ep >= 14:
        $KFriends = 4 # MC tells Katie he does/doesn't like Debbie/Lily
        if persistent.ph_advstart_l <= 2:
            $LDate = 7
            $LLesb = 9
        if persistent.ph_advstart_l == 2:
            $LDate = 6
        if persistent.ph_advstart_k <= 2:
            $KDate = 3
            $KLesb = 12
        if persistent.ph_advstart_k == 2:
            $KDate = 2
        if persistent.ph_advstart_e <= 1:
            $EDate = 3
        if persistent.ph_advstart_a <= 1:
            $Angel_Date = 9
            $angel_cum_inside = 1
        if persistent.ph_advstart_m <= 1:
            $MDate = 1
        $ZarahSTM= 52
        $ZarahLSTM= 70
        $JolinaSTM= 37
        $JolinaLSTM= 35
        $BellaSTM= 53
        $BellaLSTM= 56
        $MonicaSTM= 178
        $MonicaLSTM= 163
        $JennaSTM= 138
        $JennaLSTM= 121
        $KatieSTM= 179
        $KatieLSTM= 175
        $DebbieSTM= 68
        $DebbieLSTM= 80
        $LilySTM= 103
        $LilyLSTM= 92
        $ElaineSTM= 96
        $ElaineLSTM= 74
        $AngelSTM= 107
        $AngelLSTM= 94
        $WandaSTM= 24

    if persistent.ph_advstart_ep >= 15:
        if persistent.ph_advstart_b <= 1 or persistent.ph_advstart_b == 4:    #1 is serious, 2 is casual, 3 is neutral, 4 is rejected
            $MPhoto = 3
        $BPhoto = 10
        $ZPhoto = 1
        if persistent.ph_advstart_b <= 1:  #1 is serious, 2 is casual, 3 is neutral, 4 is rejected
            $BTruth = 1
        if persistent.ph_advstart_c <= 2:
            $CDate = 6
        if persistent.ph_advstart_j == 4:
            $JDate = -1
        if persistent.ph_advstart_j <= 2:
            $JPassword = 3
            $JCum = 1
            $JDate = 1
        if persistent.ph_advstart_j == 1:
            $JDate = 2
        $ZarahSTM= 52
        $ZarahLSTM= 70
        $DebbieSTM= 68
        $DebbieLSTM= 80
        $LilySTM= 103
        $LilyLSTM= 92
        $AngelSTM= 107
        $AngelLSTM= 94
        $WandaSTM= 24
        $MonicaSTM= 194
        $MonicaLSTM= 172
        $JennaSTM= 191
        $JennaLSTM= 163
        $KatieSTM= 180
        $KatieLSTM= 176
        $ElaineSTM= 142
        $ElaineLSTM= 107
        $BellaSTM= 62
        $BellaLSTM= 56
        $JolinaSTM= 107
        $JolinaLSTM= 63

    if persistent.ph_advstart_ep >= 16:
        $MollNick = 2
        $E15DateP = "Katie"
        if persistent.ph_advstart_w <= 1:
           $WD3_Aud = 9
           $WD3_Cum = 3
        if persistent.ph_advstart_m <= 1:
            $MDate = 2
        if persistent.ph_advstart_m == 4:
            $MDate = -2
            $MShoot = 1
        if persistent.ph_advstart_k <= 2:
            $KDate = 4
            $KLesb = 18
            $Katie_Will = 1
        if persistent.ph_advstart_k == 2:
            $KDate = 2
        if persistent.ph_advstart_k == 4:
            $KDate = -1
        if persistent.ph_advstart_a <= 1:
            $Angel_Date = 10
            $angel_cum_inside = 1
            $Wanda_watch = 1
        if persistent.ph_advstart_a >= 4:
            $Angel_Date = -2
            $angel_cum_inside = 1
        if persistent.ph_advstart_z <= 2:
            $ZDate = 4
        if KDate >= 2:
            scene E16 E15_Choice
            $ renpy.block_rollback()
            menu:
                "Don't change anything.":
                    $KChange  = 0
                    $KGoddess = 1
                "Tone it down a little.":
                    $KChange  = 1
                    $KGoddess = 0
                "Change.":
                    $KChange  = 2
                    $KGoddess = 0
        $DebbieSTM= 68
        $DebbieLSTM= 80
        $LilySTM= 103
        $LilyLSTM= 92
        $ElaineSTM= 142
        $ElaineLSTM= 107
        $BellaSTM= 62
        $BellaLSTM= 56
        $JolinaSTM= 107
        $JolinaLSTM= 63
        $MonicaSTM= 442
        $MonicaLSTM= 0
        $JennaSTM= 380
        $JennaLSTM= 0
        $KatieSTM= 241
        $KatieLSTM= 204
        $ZarahSTM= 71
        $ZarahLSTM= 87
        $AngelSTM= 155
        $AngelLSTM= 110
        $WandaSTM= 68

    if persistent.ph_advstart_ep >= 17:
        if persistent.ph_advstart_ep <= 19:
            scene E17 E16_Choice
            menu:
                "Help her (You won't pursue Lily)":
                    $DebHelp = 1
                "Help her (Interested in 3some)":
                    $DebHelp = 2
                "Help her (Interested in 4some)":
                    $DebHelp = 4
                "Won't help her.":
                    $DebHelp = -1
                "Won't help. (Want Lily for yourself)":
                    $DebHelp = -2
                "You want Debbie only (solo)":
                    $DebHelp = 5
            scene black
        if persistent.ph_advstart_d <= 1:
            $DTemp = 10
            $DDate = 5
            $E12S11_DCum = 1
            $DebbieCum = 2
        if persistent.ph_advstart_d == 4:
            $DDate = -3
            $DebbieCum = 2
        if persistent.ph_advstart_b <= 2:   #1 is serious, 2 is casual, 3 is neutral, 4 is rejected
            $BDate = 5
        if persistent.ph_advstart_b >= 4:   #1 is serious, 2 is casual, 3 is neutral, 4 is rejected
            $BDate = -1
        if persistent.ph_advstart_c >= 4:
            $CDate = -3
        if persistent.ph_advstart_c <= 2:
            $JoHelp = 3
            $CDate = 7
        if persistent.ph_advstart_c == 2:
            $JoHelp = 1
        if persistent.ph_advstart_l == 3:
            $DebLil = 1
            $LilyLibrary = 20
        if persistent.ph_advstart_l <= 2:
            $DebLil = 2
        if persistent.ph_advstart_l <= 1:
            $DebLil = 3
        if persistent.ph_advstart_j <= 2:
            $Jenna_Will = 2
        if persistent.ph_advstart_j <= 2:
            $JDate = 1
        if persistent.ph_advstart_j <= 1:
            $JDate = 2
        if persistent.ph_advstart_k <= 2:
            $KLesb = 21
        if persistent.ph_advstart_e <= 1:
            $EDate = 5
        if persistent.ph_advstart_e == 3:
            $EGuilt = 40
        if persistent.ph_advstart_y <= 2:   #Interested
            $YDate = 1
        $LilySTM= 103
        $LilyLSTM= 92
        $MonicaSTM= 442
        $MonicaLSTM= 0
        $ZarahSTM= 71
        $ZarahLSTM= 87
        $AngelSTM= 155
        $AngelLSTM= 110
        $WandaSTM= 68
        $JennaSTM= 395
        $JennaLSTM= 0
        $KatieSTM= 455
        $KatieLSTM= 0
        $DebbieSTM= 132
        $DebbieLSTM= 133
        $ElaineSTM= 185
        $ElaineLSTM= 144
        $BellaSTM= 97
        $BellaLSTM= 98
        $JolinaSTM= 182
        $JolinaLSTM= 108
        $TheresaSTM= 36

    if persistent.ph_advstart_ep >= 18:
        if persistent.ph_advstart_b <= 2:   #1 is serious, 2 is casual, 3 is neutral, 4 is rejected
            $BDate = 6
            $BellaCum = 2
            $BTruth = 1
            $BHelp = 1
        if persistent.ph_advstart_b == 1:  #1 is serious, 2 is casual, 3 is neutral, 4 is rejected
            $BDate = 7
        if persistent.ph_advstart_c >= 4: #1=Serious relationship,  #2 = Dating casually, 3 =Neutral    4 = Broke Up with Jolina
            $CDate = -4
            $JolinaCum = 2
        if persistent.ph_advstart_c <= 2:
            $CDate = 7
            $JolinaCum = 2
            $JSpySex = 1
        if persistent.ph_advstart_c == 2:
            $CDate = 8
        if persistent.ph_advstart_e == 3:
            $EGuilt = 52
            $EDate = -4
            $E17Elaine = 2
        if persistent.ph_advstart_e == 1:
            $EDate = 6
            $E17Elaine = 2
        if persistent.ph_advstart_e == 2:
            $EDate = 1
            $E17Elaine = 2
        if persistent.ph_advstart_e == 4:
            $EDate = -1
            $E17Elaine = 3
        if persistent.ph_advstart_j == 4:
            $JDate = -2
        if persistent.ph_advstart_k <= 2: #if =1 Katie Romance (Love)
            $KLesb  = 27
        if persistent.ph_advstart_k == 2:  #if =2 Katie FWB    if = 3 neutral,   if =4 broke up
            $Katie_FWB = 2
        if persistent.ph_advstart_l <= 2:
            $LDate = 8
            $LilyCum = 2
            $LLesb = 12
            $LilyLibrary = 20
        if persistent.ph_advstart_l <= 1:
            $LDate = 10
        if persistent.ph_advstart_l == 4:
            $LDate = -1
        if persistent.ph_advstart_m <= 3:
            $Monica_Will = 3
        if persistent.ph_advstart_m <= 1:
            $Monica_Will = 1
        $AngelSTM= 155
        $AngelLSTM= 110
        $BellaSTM= 146
        $BellaLSTM= 106
        $DebbieSTM= 132
        $DebbieLSTM= 133
        $ElaineSTM= 224
        $ElaineLSTM= 179
        $JennaSTM= 474
        $JennaLSTM= 0
        $JolinaSTM= 202
        $JolinaLSTM= 117
        $KatieSTM= 515
        $KatieLSTM= 0
        $LilySTM= 211
        $LilyLSTM= 148
        $MonicaSTM= 485
        $MonicaLSTM= 0
        $TheresaSTM= 36
        $WandaSTM= 68
        $ZarahSTM= 87
        $ZarahLSTM= 99

    if persistent.ph_advstart_ep >= 19:

        if MDate >=2:
            $MCarnival = 1

        else: # Not dating Monica
            scene E19 E18_Choice_Carn
            $ renpy.block_rollback()
            menu:
                "Yes":
                    $MCarnival = 1
                "No.":
                    $MCarnival = 0
            scene black

        if MCarnival == 1: #If you went to carnival
            $Jubilee = 99 #Assumption is that you won the golden jubilee
            $E18_Fortune = 1  #Assumption is that you got your fortune told
            scene E19 E18_Choice_Mabel
            $ renpy.block_rollback()
            menu:
                "(Sex - Good terms)":
                    $Mabel  = 50
                    $MBPhone = 1
                "(Bad Terms)":
                    $Mabel = -10
                "(Friendly)":
                    $Mabel = 0
            scene black
        if persistent.ph_advstart_k <= 2:
            $KLesb  = 32
        if persistent.ph_advstart_l <= 1:
            $LDate = 10
        if persistent.ph_advstart_l == 4:
            $LDate = -1
        if persistent.ph_advstart_m <= 1:
            $MDate = 5
        if persistent.ph_advstart_z <= 2:
            $ZDate = 6
        if persistent.ph_advstart_y == 1:   #Theresa Sub / MC  Dom
            $YSub = -45
            $EP18TFacial = 1
            $YDate = 2 #MC dom path
        if persistent.ph_advstart_y == 2:   #Theresa Dom / MC Sub
            $YSub = 47
            $YDate = 3 #MC sub path
        if persistent.ph_advstart_y >= 3:   #Theresa Not Interested
            $YDate = -2
        $DebbieSTM= 153
        $DebbieLSTM= 154
        $JennaSTM= 474
        $JennaLSTM= 170
        $KatieSTM= 544
        $KatieLSTM= 204
        $LilySTM= 239
        $LilyLSTM= 153
        $MonicaSTM= 591
        $MonicaLSTM= 183
        $TheresaSTM= 100
        $ZarahSTM= 131
        $ZarahLSTM= 140

    if persistent.ph_advstart_ep >= 20:
        $BellaSTM= 204
        $BellaLSTM= 129
        $DebbieSTM= 229
        $DebbieLSTM= 198
        $ElaineSTM= 266
        $ElaineLSTM= 218
        $JennaSTM= 482
        $JennaLSTM= 170
        $KatieSTM= 613
        $KatieLSTM= 204
        $LilySTM= 290
        $LilyLSTM= 180
        $WandaSTM= 136
        $ZarahSTM= 131

        if persistent.ph_advstart_b <= 2:    #1 is serious, 2 is casual, 3 is neutral, 4 is rejected
            $E19B_Date = 1
        if persistent.ph_advstart_j <= 2:
            $JLesb = 11     #After Ep20 should be 25
        if persistent.ph_advstart_e == 3:
            $EGuilt = 84
            $EDate = -6
            $EButtonTemp = 2
        if persistent.ph_advstart_e == 1:
            $EDate = 7
            $EButtonTemp = 2

        if persistent.ph_advstart_w == 1 or persistent.ph_advstart_a == 1:  #Dating Wanda and Angel
            $WandaHelp = 1

        scene E20 E19_Choice
        $ renpy.block_rollback()
        menu:
            "Declared love for Debbie":
                $E19_Katie_3 = -7
                $DDate = 6
                $KLD_Choice = "Debbie"
            "Declared love for Lily":
                $E19_Katie_3 = -6
                $LDate = 11
                $KLD_Choice = "Lily"
            "Katie solo":
                $KLD_Choice = "Katie"
                $E19_Katie_3 = 2
            "You left after Katie found out about Lily":
                $E19_Katie_3 = -5
            "Katie threw you out for sabotaging":
                $E19_Katie_3 = -2
            "You chose to go home":
                $E19_Katie_3 = -1
            "Threesome with Debbie/Lily":
                $E19_Katie_3 = 3
            "Foursome":
                $E19_Katie_3 = 4
    scene black


    if persistent.ph_advstart_ep >= 21:
        $AngelSTM= 155
        $AngelLSTM= 110
        $BellaSTM= 204
        $BellaLSTM= 129
        $DebbieSTM= 473
        $DebbieLSTM= 198
        $ElaineSTM= 590
        $ElaineLSTM= 251
        $JennaSTM= 590
        $JennaLSTM= 170
        $JolinaSTM= 479
        $JolinaLSTM= 117
        $KatieSTM= 661
        $KatieLSTM= 204
        $LilySTM= 504
        $LilyLSTM= 180
        $MonicaSTM= 591
        $MonicaLSTM= 183
        $NatashaSTM= 48
        $TheresaSTM= 102
        $WandaSTM= 136
        $ZarahSTM= 131
        $ZarahLSTM= 140


        if persistent.ph_advstart_ep <= 23: #Not needed from EP24 onwards as already gave her the house/or not.
            scene E21 E20_Choice_EHouse
            $ renpy.block_rollback()
            menu:
                "Didn't meet Elaine":
                    $E20_EHouse = 0
                "Refused to give her the house.":
                    $E20_EHouse = -3
                "Agreed but you were lying.":
                    $E20_EHouse = -2
                "Vague - Didn't commit":
                    $E20_EHouse = -1
                "Promised her the house":
                    $E20_EHouse = 1

        if persistent.ph_advstart_ep <= 23: #Not needed from EP24 onwards. For EP24, will just add the JJFun question. Roger BJ doesn't matter in E24

            scene E21 E20_Choice_Nat
            $ renpy.block_rollback()
            menu:
                "(BJ - Roger doesn't know)":
                    $NPlay = -1
                "(Refused her - No BJ)":
                    $NPlay = 0
                "(BJ - Let Roger see)":
                    $NPlay = 1

            scene black
            pause 0.5

            scene E21 E20_Choice_Jo
            $ renpy.block_rollback()
            menu:
                "Didn't meet her." if CDate <= 6:
                    $E20_Jo_meet = 0
                "Met her but left early" if CDate <= 6:
                    $E20_Jo_meet = 1
                "Met her (Friendly)":
                    $E20_Jo_meet = 2
                "Met her (Sex)":
                    $E20_Jo_meet = 3
                    if JolinaCum <= 0:
                        $JolinaCum = 1
                    scene E21 E20_Choice_JJ
                    $ renpy.block_rollback()
                    menu:
                        "Yes":
                            $JJFun = 1
                        "No":
                            $JJFun = 0

        if persistent.ph_advstart_c == 2:  #Casual sex
            $CDate = 9
        if persistent.ph_advstart_c == 1:  #Serious
            $CDate = 10
        if persistent.ph_advstart_c == 4:  #1 is serious, 2 is casual, 3 is neutral, 4 is broke up
            $CDate = -10

        if persistent.ph_advstart_l <= 1:
            $LDate = 13
            $LLesb = 38
            $LCDWantKids = 2
        if persistent.ph_advstart_l == 2:
            $LDate = 12
            $LLesb = 38
        if persistent.ph_advstart_e == 3: #Guilt option
            $EGuilt = 106
            $EDate = -7
        if persistent.ph_advstart_e == 1: #Romance option
            $EDate = 8
        if persistent.ph_advstart_k == 2: #Romance (No love)
            scene black
            menu:
                "From Episode 21 onwards, friends with benefits is no longer an option with Katie so please choose from the following options."
                "(Dating and in love)":
                    $persistent.ph_advstart_k = 1
                "(Dating / didn't declare love)":
                    $persistent.ph_advstart_k = 2
                    $KDate  = 9
                    $KLD_Choice = "Katie"
                "(Neutral)":
                    $persistent.ph_advstart_k = 3
                    $KDate  = 0
                "(Broke up)":
                    $persistent.ph_advstart_k = 4
        if persistent.ph_advstart_k == 1: #if =1 Katie Romance (Love)
            $KDate  = 10
            $Katie_Beach = 1 #If in love - assume you asked her to move in
            $KLD_Choice = "Katie"
        if persistent.ph_advstart_k == 4:  #if =2 Katie FWB    if = 3 neutral,   if =4 broke up
            $KDate  = -10
        if persistent.ph_advstart_d <= 1:
            if KLD_Choice == "Katie":
                $DDate = 8
            else:
                $DDate = 9
            if KLD_Choice == "Debbie":
                $DDate = 10
        if persistent.ph_advstart_j <= 2:
            $JLesb = 25

    #######Start any episode >=22######################################################
    if persistent.ph_advstart_ep >= 22:
        $AngelSTM=  321
        $AngelLSTM= 131
        $BellaSTM= 284
        $BellaLSTM= 129
        $DebbieSTM= 473
        $DebbieLSTM= 198
        $ElaineSTM= 606
        $ElaineLSTM= 251
        $JennaSTM= 690
        $JennaLSTM= 170
        $JolinaSTM= 479
        $JolinaLSTM= 117
        $KatieSTM= 727
        $KatieLSTM= 204
        $LilySTM= 504
        $LilyLSTM= 180
        $MonicaSTM= 725
        $MonicaLSTM= 183
        $NatashaSTM= 48
        $TheresaSTM= 143
        $WandaSTM= 148
        $ZarahSTM= 131
        $ZarahLSTM= 140

        ########Start Episode >=22  Jenna variable - Start#################
        if persistent.ph_advstart_j == 2:  #Dating but haven't told her you love her
            $JDate = 8
        if persistent.ph_advstart_j == 1:  #Love
            $JDate = 9
        ########Start Episode >=22  Jenna variable - End#################

        if KDate >= 9:
            $KatiePreg = 1 #Assume you spoke positively about marriage and kids
            if JDate <=0 and MDate <= 0:
                $Katie_Official = 1

        if JDate <= 7: #Not dating Jenna
            if CDate >= 9 and KDate <=9: #Dating Katie and Jolina but not Jenna
                $ChooseKorJo = 1 #Jenna told you that you have to choose

        if JDate >= 8: #Dating Jenna
            if KDate <=0 and MDate <= 0:
                $Jenna_Official = 1

            if LDate >= 8 or KLD_Choice == "Lily": #Dating Jenna and Lily
                scene E22 E21_Choice_JenTruthL
                $ renpy.block_rollback()
                menu:
                    "Told her nothing.":
                        pass
                    "Half-truth / Fooled around.":
                        $JennaGroup.append("Lily")

            if DDate >= 7 or KLD_Choice == "Debbie":  #Dating Jenna and Debbie
                scene E22 E21_Choice_JenTruthD
                $ renpy.block_rollback()
                menu:
                    "Told her nothing.":
                        pass
                    "Half-truth / Fooled around.":
                        $JennaGroup.append("Debbie")

            if KDate >= 9:  #Dating Jenna and Katie
                scene E22 E21_Choice_JenTruthK
                $ renpy.block_rollback()
                menu:
                    "Told her nothing.":
                        pass
                    "Half-truth / Fooled around.":
                        $JennaGroup.append("Katie")


            $JKM_Total = 0
            if KDate >= 9:
                $JKM_Total += 1
            if JDate >= 8:
                $JKM_Total += 1
            if MDate >= 2:
                $JKM_Total += 1

            if persistent.ph_advstart_j <= 2:
                $JLesb = 32


        ########Start Episode >=22   Bella  - Start#################

        if persistent.ph_advstart_b == 1:   #1 is serious, 2 is casual, 3 is neutral, 4 is rejected
            $BellaCum = 3
        if EDate >= 8 or EDate == -7:  #Had sex with Elaine
            $E21_ChooseElaine = 1  #Had sex with Elaine
        if persistent.ph_advstart_z <= 2: #interested in Zarah
            $ZHouse = 1
            if persistent.ph_advstart_m <= 1:
                $ZHouse = 2


        if E21_ChooseElaine == 1 and persistent.ph_advstart_ep <= 24:  #Not needed in episode 25 - Already made your choice:
            scene E22 E21_Choice_BE
            $ renpy.block_rollback()
            menu:
                "Yes":
                    $BKnowsE = 1
                    if BDate >= 6:
                        scene E22 E21_Choice_BE2
                        menu:
                            "(Choose Elaine)":
                                $Bella -= 105
                                $E21_ChooseElaine = 5
                            "(Date both?)":
                                $E21_ChooseElaine = 4 #Threesome
                            "(Choose Bella.)":
                                $E21_ChooseElaine = 3  #Bella
                "No":
                    $BKnowsE = 0

        if persistent.ph_advstart_a == 1: #If dating Angel
            $Angel_Date = 12
            $E21_AngelParty = 1  #Assumes you went to the party if you're still dating her.
        else:  #If not dating Angel...let's you choose if you attended the party
            scene E22 E21_choice_party
            $ renpy.block_rollback()
            menu:
                "Yes":
                    $E21_AngelParty = 1
                    $Porsche += 10
                "No.":
                    $E21_AngelParty = 0

        if E21_AngelParty == 1:
            $Porsche += 10
            if persistent.ph_advstart_ep <= 23: #Choice about getting a BJ from Porsche. Superseded by episode 23 question about sex
                scene E22 E21_choice_porsche   
                $ renpy.block_rollback()
                menu:
                    "Yes":
                        $E21_PorscheBJ = 3
                        $Porsche += 6
                    "No.":
                        $E21_PorscheBJ = 0

        ########Start Episode >=22   Theresa  - Start#################
        if persistent.ph_advstart_y == 1: #Theresa Sub / MC  Dom
            $YSub = -57
            $EP18TFacial = 1
            $YDate = 4
        if persistent.ph_advstart_y == 2:  #Theresa  Dom / MC Sub
            $YSub = 50
            $YDate = 4
        ########Start Episode >=22   variables - End#################


    #######Start any episode >=23######################################################
    if persistent.ph_advstart_ep >= 23:
        $AngelSTM=  321  #No change
        $AngelLSTM= 131  #No change
        $BellaSTM= 534  #284 plus Adding 121 for this episode.  Plus 129 for combining with Lust
        $BellaLSTM= 129 #129
        $DebbieSTM= 473 #473 No change
        $DebbieLSTM= 198 #198 No change
        $ElaineSTM= 606#606 No change
        $ElaineLSTM= 251#251 No change
        $JennaSTM= 818 #690 + 128 for this episode
        $JennaLSTM= 170 #170 No change
        $JolinaSTM= 769#479    #479 plus Adding 173 for this episode.  Plus 117 for combining with Lust
        $JolinaLSTM= 117#117  No change
        $KatieSTM= 866#727 plus 139 this ep
        $KatieLSTM= 204#204 No change
        $LilySTM= 600 #504 plus 96 this episode
        $LilyLSTM= 180#180 No change
        $MonicaSTM= 846#725 plus 121 for this episode
        $MonicaLSTM= 183#183 No change
        $NatashaSTM= 128#  48 plus 80 for this episode
        $TheresaSTM= 143#143 No change
        $WandaSTM= 148#148 No change
        $ZarahSTM= 357#  131 plus 47 for these episode plus 179 for combining with lust
        $ZarahLSTM= 179#140 plus 39 for this episode

        if persistent.ph_advstart_z == 2: #Romance
            $ZDate = 7
        if persistent.ph_advstart_z == 1: #Love
            $ZDate = 8        

        if persistent.ph_advstart_b == 4:  #1 is serious, 2 is casual, 3 is neutral, 4 is rejected
            $BDate = -10 #Dumped

        if CDate >= 9 and JDate >= 8:
            $JennaGroup.append("Jolina")

        if KParty >= 6:
            $Nat_Extort = 2
        if NPlay == 1 or NPlay == -1:     #If Natasha sent you a text
            $Nat_Extort += 1
        if Nat_Extort >= 1:
            scene E23 E22_Choice_Nat
            $ renpy.block_rollback()
            menu:
                "(Agreed to her demands)":
                    $Nat_Agree = 1
                    $E22_NatBJ = 1
                "(Refused her)":
                    $Nat_Agree = -1
                    $Nat_Sent = 2

        if persistent.ph_advstart_c <= 2: #Having sex with Jolina
            $JoHelp = 5
        else: #Not having sex with Jolina
            scene E23 E22_choice_Jo
            $ renpy.block_rollback()
            menu:
                "Yes":
                    $JoHelp = 5
                "No.":
                    $JoHelp = 0

        if persistent.ph_advstart_b <= 2: #Having sex with Bella
            $BHelp = 2
        else: #Not having sex with Bella
            scene E23 E22_choice_Bella
            $ renpy.block_rollback()
            menu:
                "Yes":
                    $BHelp = 2
                "No.":
                    $BHelp = 0

        if BHelp >= 1 and JoHelp >=1:  #Bella and Jo
            $E22_BHRoomies = 3
        elif BHelp >= 1: # Bella only
            $E22_BHRoomies = 2
        elif JoHelp >=1: #Jo only
            $E22_BHRoomies = 1
        else:
            $E22_BHRoomies = 0

        if KDate >= 9:
            $E22_KSex = 1
            if JDate >= 8:
                $E22_KSpankJ = 1 #If dating both. Assume they spanked.
                
                $ renpy.block_rollback()
                scene E23 E22_choice_KatJ
                menu:
                    "(Lied.)":
                        $E22_KatHint_J = 0

                    "(Told her.)":
                        $E22_KatHint_J = 1


        scene E23 E22_choice_House
        menu:
            "(I'm taking the house)":
                $E22_EHouse = 0

            "(Give it to Elaine)":
                $E22_EHouse = 1

        if BDate >= 6 and E21_ChooseElaine <= 4:
            $E22_EPhoto = 2

        if E19_Katie_3 == 4 and LDate >= 12 and persistent.ph_advstart_ep == 23:  #If you had a foursome and are dating Lily/. Only applicable for EP23
            $ renpy.block_rollback()
            scene E23 E22_choice_Lily
            menu:
                "(Love Lily / Dump the others.)":
                    $LCookDate = 5
                "(Love them all / Foursome)":
                    $LCookDate = 6

        if MDate <= 4:
            jump E22_MonSkip

        if JDate >= 8 or KDate >= 9 or Angel_Date >= 10 or BDate >= 6 or DDate >= 8 or EDate >= 7 or CDate >= 9 or LDate >= 12 or WD3_Aud >= 9 or ZDate >= 3: #Seeing someone else and dating Monica
            $ renpy.block_rollback()
            scene E23 E22_choice_Mon
            menu:
                "(Lied.)":
                    $E22_MonHint = 0

                "(Hinted.)":
                    $E22_MonHint = 1

        if KDate >= 9: #If dating Katie and Monica
            $ renpy.block_rollback()
            scene E23 E22_choice_Kat
            menu:
                "(Lied.)":
                    $E22_KatHint_M = 0

                "(Very subtle hint.)":
                    $E22_KatHint_M = 1

                "(Hint/Admitted attraction.)":
                    $E22_KatHint_M = 2


        label E22_MonSkip:
        #Add nothing else below here for EP22

    #######Start any episode >=24######################################################
    if persistent.ph_advstart_ep >= 24:
        $AngelSTM=  325 #321 + 4
        $AngelLSTM= 131  #No change
        $BellaSTM= 716 #534 + 182
        $BellaLSTM= 129 #129
        $DebbieSTM= 600 #473 + 127
        $DebbieLSTM= 198 #198 No change
        $ElaineSTM= 872 #+266
        $ElaineLSTM= 251#251 No change
        $JennaSTM= 948 #818 + 130 for this episode
        $JennaLSTM= 170 #170 No change
        $JolinaSTM= 968 # +199
        $JolinaLSTM= 117#117  No change
        $KatieSTM= 878 # 866 +12s ep
        $KatieLSTM= 204 #204 No change
        $LilySTM= 600 #600 No change
        $LilyLSTM= 180 #180 No change
        $MonicaSTM= 846 #No change
        $MonicaLSTM= 183 #No change
        $NatashaSTM= 128 #No change
        $TheresaSTM= 143 #No change
        $WandaSTM= 151 # 148 +3
        $ZarahSTM= 357 #No change
        $ZarahLSTM= 179 #No change
        $Heart = 24

        if persistent.ph_advstart_c == 1:  #1 is serious, 2 is casual, 3 is neutral, 4 is broke up
            $CDate = 11

        if persistent.ph_advstart_b == 1:  #1 is serious, 2 is casual, 3 is neutral, 4 is rejected
            $BDate = 8 #Love

        if persistent.ph_advstart_b == 1:  #1 is serious, 2 is casual, 3 is neutral, 4 is rejected
            $BDate = 8 #Love

        if persistent.ph_advstart_e == 1: #Love
            $EDate = 9

        if JDate >= 8 and CDate >= 9: #If dating Jo and Jenna, ask about lesbianism

            scene E21 E20_Choice_JJ
            $ renpy.block_rollback()
            menu:
                "Yes.":
                    $JJFun = 1
                "No.":
                    $JJFun = 0

        if JDate >= 8:
            $Comicon = 2
        else:
            scene E24 E23_Choice_Com
            $ renpy.block_rollback()
            menu:
                "Yes.":
                    $Comicon = 1
                "No.":
                    $Comicon = 0
                    $E23_Flyer = 0
                    $E23_PorscheSex = 0

        if Comicon >= 1:
            scene E24 E23_Choice_Flyer
            $ renpy.block_rollback()
            menu:
                "No flyers.":
                    $E23_Flyer = -1

                "Flyers / Didn't flirt.":
                    $E23_Flyer = 1 #Didn't flirt

                "Flyers / Flirted.":
                    $E23_Flyer = 2 #Flirted with Captain Heart
                    $E23_CH_Kiss = 1


            scene E24 E23_Choice_Porsche
            $ renpy.block_rollback()
            menu:
                "Yes.":
                    $E23_PorscheSex = 1

                "No":
                    $E23_PorscheSex = 0

        if E22_BHRoomies == 3 and CDate >= 9 and BDate <= 5: #Jo and Bella living in BH, Dating Jo, not dating Bella
            scene E24 E23_Choice_BH
            $ renpy.block_rollback()
            menu:
                "Answered.":
                    $BellSec = 2
                "Didn't answer.":
                    $BellSec = 0

        if CDate >= 9 and BDate >= 6: #Dating Jo and Bella
            scene E24 E23_choice_BellorJo
            $ renpy.block_rollback()
            menu:
                "Jolina.":
                    $E23_Jo_Sex == 1
                "Bella.":
                    $E23_Bell_Sex = 1


        if DDate >= 8: #If dating Debbie
            $DStripDate = 1 #Went to strip club with her
            $BubblesLap = 1 #Assumes you got a lapdance from Bubbles.

        if E22_EHouse == 0: #Kept the house for yourself
            scene E24 E23_choice_Tenant
            $ renpy.block_rollback()
            menu:
                "(Let her stay.)":
                    $E23_ElaineTenant = 1
                "(Move out.)":
                    $E23_ElaineTenant = 0

        if WD3_Aud >= 8 and Angel_Date >= 10:
            $WandaAngel = 1 #Threesome

    $ renpy.block_rollback()
    scene black
    pause 0.5
    stop music fadeout 2 #ace - ends music after quickstart
    centered "Thanks for your selection."



     #if persistent.ph_advstart_ep >= 24: #GIMP  Angel_date = 10 for casual, 11 for lover.  Add correct ones for Wanda too

###############################################Set relationship values for quickstart############################################################################

    if persistent.ph_advstart_ep >= 2 or _in_replay:
        ###SET Relationships from STMs
        $Sammy = SammySTM
        if persistent.ph_advstart_w <= 1:
           $Wanda = WandaSTM
        if persistent.ph_advstart_d <= 2:
            $Debbie = DebbieSTM
        if persistent.ph_advstart_d <= 1:
            $DebbieL = DebbieLSTM
        $Natasha = NatashaSTM
        if persistent.ph_advstart_b <= 2:    #1 is serious, 2 is casual, 3 is neutral, 4 is rejected
            $Bella = BellaSTM
        if persistent.ph_advstart_b <= 2:   #1 is serious, 2 is casual, 3 is neutral, 4 is rejected
            $BellaL = BellaLSTM
        if persistent.ph_advstart_c <= 2:
            $Jolina = JolinaSTM
        if persistent.ph_advstart_c <= 2:
            $JolinaL = JolinaLSTM
        if persistent.ph_advstart_l <= 3:
            $Lily = LilySTM
        if persistent.ph_advstart_l <= 2:
            $LilyL = LilyLSTM
        if persistent.ph_advstart_m <= 3:
            $Monica = MonicaSTM
        if persistent.ph_advstart_m <= 1:
            $MonicaL = MonicaLSTM
        if persistent.ph_advstart_j <= 3:
            $Jenna = JennaSTM
        if persistent.ph_advstart_j <= 2:
            $JennaL = JennaLSTM
        if persistent.ph_advstart_k <= 2:
            $Katie = KatieSTM
        if persistent.ph_advstart_k <= 2:
            $KatieL = KatieLSTM
        if persistent.ph_advstart_e <= 3:
            $Elaine = ElaineSTM
        if persistent.ph_advstart_e <= 1:
            $ElaineL = ElaineLSTM
        if persistent.ph_advstart_e == 3:
            $ElaineL = ElaineLSTM
        if persistent.ph_advstart_a <= 2:
            $Angel = AngelSTM
        if persistent.ph_advstart_a <= 1:
            $AngelL = AngelLSTM
        if persistent.ph_advstart_z <= 2:
            $Zarah = ZarahSTM
        if persistent.ph_advstart_z <= 2:
            $ZarahL = ZarahLSTM
        if persistent.ph_advstart_y <= 2:      # Interested in Theresa
            $Theresa = TheresaSTM
        $player_name = persistent.ph_skip_name
        $MC = player_name
        $EpisodeOn = persistent.ph_advstart_ep
        $persistent.ph_advstart_ep = 1
        if _in_replay:
            $Sammy = 999999
            $Wanda = 999999
            $Debbie = 999999
            $DebbieL = 999999
            $Natasha = 999999
            $Bella = 999999
            $BellaL = 999999
            $Jolina = 999999
            $JolinaL = 999999
            $Lily = 999999
            $LilyL = 999999
            $Monica = 999999
            $MonicaL = 999999
            $Jenna = 999999
            $JennaL = 999999
            $Katie = 999999
            $KatieL = 999999
            $Elaine = 999999
            $ElaineL = 999999
            $ElaineL = 999999
            $Angel = 999999
            $AngelL = 999999
            $Zarah = 999999
            $ZarahL = 999999
            $Theresa = 999999
            scene black with fade
            call expression "ep"+str(persistent.ph_gal_ep)+"galscene"+str(persistent.ph_gal_sc) from _call_expression_2
            return
        else:
            jump expression "Episode_" + str(EpisodeOn)
### END START ANY EPISODE CODE
    jump Game_Start
