
init python:
    config.automatic_images = [ '/' ]
    config.automatic_images_strip = [ 'images' ]
    config.automatic_images_minimum_components = 1
    import random
init:
    define flash = Fade(.25, 0.0, .75, color="#fff")
    default persistent.mytext_size = gui.text_size
    $persistent.ph_advstart_ept = 4 #DLD ADV Start Max Episode needs changed every episode #GIMP
    $persistent.ph_advstart_ep = 1 # New addition to fix the issue with starting a new game that was reported in EP23
    default persistent.ph_advstart_ep = 1 # New addition to fix the issue with starting a new game that was reported in EP23 (part 2)
    default ph_advstart_ept = persistent.ph_advstart_ept
    default persistent.ph_advstart_a = 1
    default persistent.ph_advstart_b = 1      #1 is serious, 2 is casual, 3 is neutral, 4 is rejected
    default persistent.ph_advstart_c = 1
    default persistent.ph_advstart_d = 1
    default persistent.ph_advstart_e = 1
    default persistent.ph_advstart_j = 1
    default persistent.ph_advstart_k = 1
    default persistent.ph_advstart_l = 1
    default persistent.ph_advstart_m = 1
    default persistent.ph_advstart_w = 1
    default persistent.ph_advstart_z = 1
    default persistent.ph_advstart_y = 1
    default cbad = ""
    default cgood = ""
    default cgray = ""
    default cend = ""
    default persistent.cbad = "{outlinecolor=#000000}{color=#FF0000}"
    default persistent.cgood = "{outlinecolor=#000000}{color=#00FF00}"
    default persistent.cgray = "{outlinecolor=#000000}{color=#949494}"
    default persistent.cend = "{outlinecolor=#FF0000}{color=#000000}"
    default persistent.walkthroughon = 0

#MurrayMods
define ModWhite = "{color=#ffffff}"
define ModGreen = "{color=#00ff00}"
define ModRed = "{color=#ff0000}"
define ModBlue = "{color=#0000ff}"
define ModBlack = "{color=#880000}"
define ModYellow = "{color=#e3f542}"
define BOn = "{b}"
define BOff = "{/b}"
init:
    $MM = Character("MurrayMods", color="#44aa00")
    $Mor = Character("Morpheus", color="#F48FB1")

define config.developer = True

#define config.developer = False

label after_load:
    if _version != config.version:
        $ _version = config.version

    $MC = player_name


    if not persistent.ph_changvart2:
        $persistent.ph_changvart2 = True
        $persistent.ph_backgroundm = 0
        $persistent.ph_backgroundmt = "None"
    if not persistent.ph_changvart:
        $persistent.ph_changvart = True
        $persistent.ph_backgroundt = 0
        $persistent.ph_backgroundc = 0
        $persistent.ph_backgroundtt = "None"
        $persistent.ph_backgroundct = "Not Shown"
    $persistent.ph_backgroundc = 0
    $narrator = Character(None, what_italic=True)
    $A = Character('Angel', color="#c8ffc8", image="aface")
    $B = Character('Bella', color="#a22a10", image="bface")
    $C = Character('Jolina', color="#927e74", image="cface")
    $CH = Character('Chad', color="#fda948", image="chface")
    $D = Character('Debbie', color="#b5287f", image="dface")
    $E = Character('Elaine', color="#c8ffc8", image="eface")
    $F = Character('Francois', color="#939941", image="fface")
    $FV = Character('Dad\'s voice',color="#9f8fcc")
    $FI = Character('Fiona', color="#e12421", image="fiface")
    $G = Character('Greg', color="#939941", image="gface")
    $I = Character("[player_name]", color="#ffffff")
    $J = Character('Jenna', color="#fda948", image="jface")
    $K = Character('Katie',color="#9f8fcc", image="kface")
    $KE = Character('Keith',color="#9f8fcc", image="keface")
    $L = Character('Lily', color="#588ebd", image="lface")
    $LIB = Character('Librarian', color="#a22a10")
    $M = Character('Monica', color="#e12421", image="mface")
    $MB = Character('Blonde', color="#c8ffc8", image="mbface")
    $ML = Character('Molly', color="#e12421", image="mlface")
    $N = Character('Natasha', color="#a22a10", image="nface")
    $NK = Character('Nikki', color="#e12421", image="nkface")
    $R = Character('Roger', color="#fda948", image="rface")
    $SB = Character('Sal', color="#588ebd", image="sbface")
    $S = Character('Sammy', color="#588ebd", image="sface")
    $T = Character('Tommy', color="#588ebd", image="tface")
    $W = Character('Wanda', color="#b5287f", image="wface")
    $X = Character ('????', color="#c8ffc8")
    $Y = Character('Theresa', color="#c8ffc8", image="yface")
    $Z = Character('Zarah', color="#939941", image="zface")


    #if EpisodeOn >= 11:
    #    image side zface = "gui/faces/zb.png"

    #if EpisodeOn >= 21:
    #    $Z = Character('Zarah', color="#939941", image="zface3")
    #    $M = Character('Monica', color="#e12421", image="mface2")

    #if EpisodeOn >= 18:
    #    $MB = Character('Mabel', color="#c8ffc8", image="mbface")
    #    image side mbface = "gui/faces/mb2.png"
    #    image side zface = "gui/faces/zc.png"
    
    
    python:
        style.rebuild()
    return


###############################################Start of game##################################################
label splashscreen:
    scene black
    show CheekyLogoVid
    pause 4.3
    scene black with fade
    hide CheekyLogoVid
    define WTHI_Intro = "music/WTHI_Intro.ogg"
    show text "{size=80}Cheeky Gimp presents...{/size}" with dissolve
    with Pause(2.4)
    hide text with dissolve
    show WTHIVid
    pause 5
    scene black with fade
    hide WTHIVid
    
    #scene Splashscreen
    #pause
    #scene Splashscreen2
    #pause
    scene E1 SteamWishlist
    show screen SteamWishlist

label Wishlist_Choice:

    screen SteamWishlist():
        imagebutton auto "x_startgame_%s":
            action Jump ("Wishlist_StartGame")
            focus_mask True
        imagebutton auto "x_steam_%s":
            focus_mask True
            action Jump ("Wishlist_Steam")

    pause #Stop accidental skipping
    jump Wishlist_Choice


label Wishlist_Steam:
    $ renpy.run(OpenURL("https://store.steampowered.com/app/2287710/Where_the_Heart_is__Season_1/")) #gimp


label Wishlist_StartGame:
    hide screen SteamWishlist
    return


label start:

    jump start_any_episode

